CLabelMap Class Reference
Uncategorized

A simple class to add loadind and storeing to a map of labels. More...

`#include <mia/core/labelmap.hh>`

Inherits std::map< unsigned int, unsigned int >, and std::map< size_t, size_t >.

## Public Member Functions

| CLabelMap ()
| CLabelMap ()=default
| CLabelMap (const CLabelMap &)=default
| standard copy construtor
| CLabelMap (const std::string &in_fname)
| CLabelMap (std::istream &is)
bool | save (const std::string &out_fname) const
void | save (std::ostream &os)

## Detailed Description

A simple class to add loadind and storeing to a map of labels.

A map to change labels.

This class implements a mapping to change labels stemming from out-of-core region growing.

Definition at line 36 of file core/labelmap.hh.

## Constructor & Destructor Documentation

## CLabelMap() [1/5]

CLabelMap::CLabelMap | ( |  | ) |

default

Referenced by CLabelMap().

## CLabelMap() [2/5]

CLabelMap::CLabelMap | ( | const CLabelMap & |  | ) |

default

standard copy construtor

References CLabelMap().

## CLabelMap() [3/5]

CLabelMap::CLabelMap | ( | std::istream & | is | ) |

Constructor to load the map from a file

Parameters

  is | input stream

## CLabelMap() [4/5]

CLabelMap::CLabelMap | ( |  | ) |

## CLabelMap() [5/5]

CLabelMap::CLabelMap | ( | const std::string & | in_fname | ) |

Constructthe label map by reading from a file simple text file

Parameters

  in_fname | input file name

## Member Function Documentation

## save() [1/2]

bool CLabelMap::save | ( | const std::string & | out_fname | ) | const

Save the label map to a file

Parameters

  out_fname | output file name

Returns
  true if saving was successfull

## save() [2/2]

void CLabelMap::save | ( | std::ostream & | os | ) |

Function to save the map to a file

Parameters

  os | output stream

Returns
  true if successfull and false otherwise

The documentation for this class was generated from the following files:

- core/labelmap.hh
- probmap.hh